ios Xcode 版本兼容及真机调试

今天用我SDK的一同事,说编译有错,发了一张报错截图:

报错截图

原来他用的9.2的xcode版本,我打包使用10.1的,不兼容,让他升级xcode,因麻烦不愿因,没办法,只能我这里改了。

1.

选择兼容版本

  1. 找到.xcodeproj显示包内容
  1. 打开的pbxproj文件,搜索compatibilityVersion

测试时发现,让人头痛的还有手机系统太高,xcode 真机调试时不支持,跟新xcode 又要跟新系统,项目又着急测试,用简单快速方法解决。

1.下载IOS镜像文件(ios 11,12真机测试包) 百度网盘链接: 链接: https://pan.baidu.com/s/1ArCGuUKNH5L3Fd508rbW6w 提取码: hdmq

  1. 找到xcode应用程序---->显示包内容----->Contents--->Developer--->Platforms--->iPhoneOS.platform--->DeviceSupport,把镜像包放进此文件夹内。
  1. 修改SDKSettings.plist文件中的版本号 在上述路径iPhoneOS.platform--->Developer--->SDKs

重启xcode,运行就可以了!

本文参与腾讯云自媒体分享计划,欢迎正在阅读的你也加入,一起分享。

发表于

我来说两句

0 条评论
登录 后参与评论

扫码关注云+社区

领取腾讯云代金券